Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.birt.report.model.api
Class CachedMetaDataHandle

    java.lang.Object
      org.eclipse.birt.report.model.api.ElementDetailHandle
          org.eclipse.birt.report.model.api.ValueHandle
              org.eclipse.birt.report.model.api.StructureHandle
                  org.eclipse.birt.report.model.api.CachedMetaDataHandle

    public class CachedMetaDataHandle

extends StructureHandle

Structure handle to deal with cached data set metadata informations. The information includes output column information when it gets from databases, input/output parameter definitions.

Field Summary

Fields inherited from class org.eclipse.birt.report.model.api.StructureHandle
`structRef`

Fields inherited from class org.eclipse.birt.report.model.api.ElementDetailHandle
`elementHandle`

Constructor Summary
`CachedMetaDataHandle(DesignElementHandle element, org.eclipse.birt.report.model.core.MemberRef ref)` Constructors a handle given an element handle that defines the property and a member reference to the metadata property.

Method Summary
`MemberHandle` | `getParameters()` Get a handle to deal with the cached parameter list member.
`MemberHandle` | `getResultSet()` Get a handle to deal with the cached resuklt set list member.

Methods inherited from class org.eclipse.birt.report.model.api.StructureHandle
`drop, getDefn, getExternalizedValue, getMember, getProperty, getPropertyDefn, getReference, getStringProperty, getStructure, isDesignTime, iterator, setDesignTime, setProperty, setPropertySilently`

Methods inherited from class org.eclipse.birt.report.model.api.ElementDetailHandle
`getDesign, getElement, getElementHandle, getModule`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CachedMetaDataHandle

    public CachedMetaDataHandle(DesignElementHandle element,
                                org.eclipse.birt.report.model.core.MemberRef ref)

  Constructors a handle given an element handle that defines the property and a member reference to the metadata property.

  Parameters:
    `element` - an element handle that defines the property
    `ref` - a member reference to the data-set meta-data property.

Method Detail

### getParameters

    public MemberHandle getParameters()

  Get a handle to deal with the cached parameter list member.

  Returns:
    a handle to deal with the cached parameter list member.

### getResultSet

    public MemberHandle getResultSet()

  Get a handle to deal with the cached resuklt set list member.

  Returns:
    a handle to deal with the cached result set list member.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Actuate Corp. All rights reserved.